### org.jfree.layouting.layouter.context

# Class DefaultDocumentMetaNode

- `java.lang.Object`
- - `org.jfree.layouting.layouter.context.DefaultDocumentMetaNode`

Implemented Interfaces:
  DocumentMetaNode

Known Direct Subclasses:
  DefaultDocumentContext

`public class DefaultDocumentMetaNode`
`extends java.lang.Object`
`implements DocumentMetaNode`

Creation-Date: 08.12.2005, 20:17:28

Author:
  Thomas Morgner

  ## Constructor Summary

  `DefaultDocumentMetaNode()`

  ## Method Summary

  `Object`

  `getMetaAttribute(String name)`

  `void`

  `setMetaAttribute(String name, Object value)`

## Constructor Details

### DefaultDocumentMetaNode

    public DefaultDocumentMetaNode()

## Method Details

### getMetaAttribute

    public Object getMetaAttribute(String name)

> Specified by:
>   getMetaAttribute in interface DocumentMetaNode

### setMetaAttribute

    public void setMetaAttribute(String name,
                                 Object value)

> Specified by:
>   setMetaAttribute in interface DocumentMetaNode